%define name bcm5700
%define version 7.1.9e

Summary: Broadcom Gigabit ethernet driver
Name: %{name}
Version: %{version}
Release: 1
Vendor: Broadcom Corporation
Copyright: GPL
Group: System Environment/Base
Source: bcm5700-%{version}.tgz
BuildRoot: /var/tmp/%{name}-buildroot

%description
This package contains Broadcom's Gigabit ethernet driver.

%prep
%setup -c -b 0

%build
make bcm5700.o

%install
echo "%defattr(-,root,root)" > $RPM_BUILD_DIR/file.list.%{name}
if [ -d /lib/modules/`uname -r`/kernel/3rdparty/bcm5700 ]
then
BCOM_IPATH=/lib/modules/`uname -r`/kernel/3rdparty/bcm5700
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/kernel/3rdparty/bcm5700
echo "/lib/modules/`uname -r`/kernel/3rdparty/bcm5700/bcm5700.o.new" >> $RPM_BUILD_DIR/file.list.%{name}
elif [ -d /lib/modules/`uname -r`/kernel/drivers/addon/bcm5700 ]
then
BCOM_IPATH=/lib/modules/`uname -r`/kernel/drivers/addon/bcm5700
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/kernel/drivers/addon/bcm5700
echo "/lib/modules/`uname -r`/kernel/drivers/addon/bcm5700/bcm5700.o.new" >> $RPM_BUILD_DIR/file.list.%{name}
elif [ -d /lib/modules/`uname -r`/kernel/drivers/net/bcm ]
then
BCOM_IPATH=/lib/modules/`uname -r`/kernel/drivers/net/bcm
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/kernel/drivers/net/bcm
echo "/lib/modules/`uname -r`/kernel/drivers/net/bcm/bcm5700.o.new" >> $RPM_BUILD_DIR/file.list.%{name}
elif [ -d /lib/modules/`uname -r`/kernel ]
then
BCOM_IPATH=/lib/modules/`uname -r`/kernel/drivers/net
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/kernel/drivers/net
echo "/lib/modules/`uname -r`/kernel/drivers/net/bcm5700.o.new" >> $RPM_BUILD_DIR/file.list.%{name}
else
BCOM_IPATH=/lib/modules/`uname -r`/net
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/net
echo "/lib/modules/`uname -r`/net/bcm5700.o.new" >> $RPM_BUILD_DIR/file.list.%{name}
fi
if [ -d /usr/share/man ]
then
BCOM_MPATH=/usr/share/man/man4
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man4
echo "/usr/share/man/man4/bcm5700.4.new.*" >> $RPM_BUILD_DIR/file.list.%{name}
elif [ -d /usr/man ]
then
BCOM_MPATH=/usr/man/man4
mkdir -p $RPM_BUILD_ROOT/usr/man/man4
echo "/usr/man/man4/bcm5700.4.new.*" >> $RPM_BUILD_DIR/file.list.%{name}
fi
make install PREFIX=$RPM_BUILD_ROOT
mv -f $RPM_BUILD_ROOT/$BCOM_IPATH/bcm5700.o \
	$RPM_BUILD_ROOT/$BCOM_IPATH/bcm5700.o.new
mv -f $RPM_BUILD_ROOT/$BCOM_MPATH/bcm5700.4.gz $RPM_BUILD_ROOT/$BCOM_MPATH/bcm5700.4.new.gz

%post
if [ -d /lib/modules/`uname -r`/kernel/drivers/addon/bcm5700 ]
then
BCOM_IPATH=/lib/modules/`uname -r`/kernel/drivers/addon/bcm5700
elif [ -d /lib/modules/`uname -r`/kernel/drivers/net/bcm ]
then
BCOM_IPATH=/lib/modules/`uname -r`/kernel/drivers/net/bcm
elif [ -d /lib/modules/`uname -r`/kernel ]
then
BCOM_IPATH=/lib/modules/`uname -r`/kernel/drivers/net
else
BCOM_IPATH=/lib/modules/`uname -r`/net
fi
if [ -d /usr/share/man ]
then
BCOM_MPATH=/usr/share/man/man4
elif [ -d /usr/man ]
then
BCOM_MPATH=/usr/man/man4
fi
cp -f $RPM_BUILD_ROOT/$BCOM_IPATH/bcm5700.o.new \
      $RPM_BUILD_ROOT/$BCOM_IPATH/bcm5700.o
cp -f $RPM_BUILD_ROOT/$BCOM_MPATH/bcm5700.4.new.gz $RPM_BUILD_ROOT/$BCOM_MPATH/bcm5700.4.gz

depmod -a > /dev/null 2> /dev/null
exit 0

%preun
if [ -d /lib/modules/`uname -r`/kernel/drivers/addon/bcm5700 ]
then
BCOM_IPATH=/lib/modules/`uname -r`/kernel/drivers/addon/bcm5700
elif [ -d /lib/modules/`uname -r`/kernel/drivers/net/bcm ]
then
BCOM_IPATH=/lib/modules/`uname -r`/kernel/drivers/net/bcm
elif [ -d /lib/modules/`uname -r`/kernel ]
then
BCOM_IPATH=/lib/modules/`uname -r`/kernel/drivers/net
else
BCOM_IPATH=/lib/modules/`uname -r`/net
fi
if [ -d /usr/share/man ]
then
BCOM_MPATH=/usr/share/man/man4
elif [ -d /usr/man ]
then
BCOM_MPATH=/usr/man/man4
fi
if [ -f $BCOM_IPATH/bcm5700.o.new ]; then
      cmp -s $BCOM_IPATH/bcm5700.o.new \
             $BCOM_IPATH/bcm5700.o
   if [ "$?" == 0 ]; then
         # files match
         rm -f $BCOM_IPATH/bcm5700.o
   fi
fi

if [ -f $BCOM_MPATH/bcm5700.4.new.gz ]; then
      cmp -s $BCOM_MPATH/bcm5700.4.new.gz \
             $BCOM_MPATH/bcm5700.4.gz
   if [ "$?" == 0 ]; then
         # files match
         rm -f $BCOM_MPATH/bcm5700.4.gz
   fi
fi
exit 0

%postun
depmod -a > /dev/null 2> /dev/null
exit 0

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%doc LICENSE README.TXT DISTRIB.TXT RELEASE.TXT

%changelog
